// Copyright (c) 1999, 2000, 2001, 2002 by cisco Systems, Inc.

function isSupported()
{
   // Ultimate client-side JavaScript client sniff. 
   // (C) Netscape Communications 1999.  Permission granted to reuse and distribute. 
   // Revised 17 May 99 to add is_nav5up and is_ie5up (see below). 
   // Everything you always wanted to know about your JavaScript client 
   // but were afraid to ask. Creates "is_" variables indicating: 
   // (1) browser vendor: 
   //     is_nav, is_ie, is_opera 
   // (2) browser version number: 
   //     is_major (integer indicating major version number: 2, 3, 4 ...) 
   //     is_minor (float   indicating full  version number: 2.02, 3.01, 4.04 ...) 
   // (3) browser vendor AND major version number 
   //     is_nav2, is_nav3, is_nav4, is_nav4up, is_nav5, is_nav5up, is_ie3, is_ie4, is_ie4up 
   // (4) JavaScript version number: 
   //     is_js (float indicating full JavaScript version number: 1, 1.1, 1.2 ...) 
   // (5) OS platform and version: 
   //     is_win, is_win16, is_win32, is_win31, is_win95, is_winnt, is_win98 
   //     is_os2 
   //     is_mac, is_mac68k, is_macppc 
   //     is_unix 
   //        is_sun, is_sun4, is_sun5, is_suni86 
   //        is_irix, is_irix5, is_irix6 
   //        is_hpux, is_hpux9, is_hpux10 
   //        is_aix, is_aix1, is_aix2, is_aix3, is_aix4 
   //        is_linux, is_sco, is_unixware, is_mpras, is_reliant 
   //        is_dec, is_sinix, is_freebsd, is_bsd 
   //     is_vms 
   // 
   // See http://www.it97.de/JavaScript/JS_tutorial/bstat/navobj.html and 
   // http://www.it97.de/JavaScript/JS_tutorial/bstat/Browseraol.html 
   // for detailed lists of userAgent strings. 
   // 
   // Note: you don't want your Nav4 or IE4 code to "turn off" or 
   // stop working when Nav5 and IE5 (or later) are released, so 
   // in conditional code forks, use is_nav4up ("Nav4 or greater") 
   // and is_ie4up ("IE4 or greater") instead of is_nav4 or is_ie4 
   // to check version in code which you want to work on future 
   // versions. 
   
   // convert all characters to lowercase to simplify testing 
   var agt=navigator.userAgent.toLowerCase(); 
   
   // *** BROWSER VERSION *** 
   // Note: On IE5, these return 4, so use is_ie5up to detect IE5. 
   var is_major = parseInt(navigator.appVersion); 
   var is_minor = parseFloat(navigator.appVersion); 
   
   // Note: Opera and WebTV spoof Navigator.  We do strict client detection. 
   // If you want to allow spoofing, take out the tests for opera and webtv. 
   var is_nav  = ((agt.indexOf('mozilla')!=-1) && (agt.indexOf('spoofer')==-1) 
      && (agt.indexOf('compatible') == -1) && (agt.indexOf('opera')==-1) 
      && (agt.indexOf('webtv')==-1)); 
   var is_nav2 = (is_nav && (is_major == 2)); 
   var is_nav3 = (is_nav && (is_major == 3)); 
   var is_nav4 = (is_nav && (is_major == 4)); 
   var is_nav4up = (is_nav && (is_major >= 4)); 
   var is_nav475up = (is_nav && (is_major >= 4.75));
   var is_navonly      = (is_nav && ((agt.indexOf(";nav") != -1) || 
      (agt.indexOf("; nav") != -1)) ); 
   //Netscape 6.x returns userAgent value of '5'
   var is_nav6 = (is_nav && ( (is_major == 6) || (is_major == 5) ) ); 
   var is_nav6up = (is_nav && ((is_major >= 6) || (is_major >=5)) );
   
   var agt=navigator.userAgent.toLowerCase();
   var is_nav7 =  (agt.indexOf('netscape/7.0') != -1); 
 is_nav7 |= ((agt.indexOf('netscape/7.') != -1) || (agt.indexOf('gecko/20020823') != -1) || (agt.indexOf('gecko/20021120') != -1));
       is_nav7 |= ( (agt.indexOf('gecko/20030208') != -1) || (agt.indexOf('gecko/20030624') != -1) );   
 	//Gecko/20030208 Netscape 7.02
	//Gecko/20021120 Netscape 7.01
	//Gecko/20020823 Netscape 7.0 -- this version does not actually return the value Netscape 7.0, so search by gecko build date
	//Gecko/20030624 Netscape 7.1 (ax)
 
   var is_ie   = (agt.indexOf("msie") != -1); 
   var is_ie3  = (is_ie && (is_major < 4)); 
   var is_ie4  = (is_ie && (is_major == 4) && (agt.indexOf("msie 5.0")==-1) ); 
   var is_ie4up  = (is_ie  && (is_major >= 4)); 
   var is_ie5  = (is_ie && (is_major == 4) && (agt.indexOf("msie 5.0")!=-1) ); 
   var is_ie5up  = (is_ie  && !is_ie3 && !is_ie4); 
   var is_ie6  =(is_ie && (is_major == 6)); 
   var is_ie6up  = (is_ie  && !is_ie3 && !is_ie4 && !is_ie5); 
 
   // KNOWN BUG: On AOL4, returns false if IE3 is embedded browser 
   // or if this is the first browser window opened.  Thus the 
   // variables is_aol, is_aol3, and is_aol4 aren't 100% reliable. 
   var is_aol   = (agt.indexOf("aol") != -1); 
   var is_aol3  = (is_aol && is_ie3); 
   var is_aol4  = (is_aol && is_ie4); 
   
   var is_opera = (agt.indexOf("opera") != -1); 
   var is_webtv = (agt.indexOf("webtv") != -1); 
   
   // *** JAVASCRIPT VERSION CHECK *** 
   var is_js; 
   if (is_nav2 || is_ie3) is_js = 1.0 
   else if (is_nav3 || is_opera) is_js = 1.1 
   else if ((is_nav4 && (is_minor <= 4.05)) || is_ie4) is_js = 1.2 
   else if ((is_nav4 && (is_minor > 4.05)) || is_ie5) is_js = 1.3
   // NOTE: In the future, update this code when newer versions of JS 
   // are released. For now, we try to provide some upward compatibility 
   // so that future versions of Nav and IE will show they are at 
   // *least* JS 1.x capable. Always check for JS version compatibility 
   // with > or >=. 
   else if (is_nav && (is_major >= 5)) is_js = 1.4 
   else if (is_ie && (is_major > 5)) is_js = 1.3 
   // HACK: no idea for other browsers; always check for JS version with > or >= 
   else is_js = 0.0; 
   
   // *** PLATFORM ***
   var is_win   = ( (agt.indexOf("win")!=-1) || (agt.indexOf("16bit")!=-1) );
   // NOTE: On Opera 3.0, the userAgent string includes "Windows 95/NT4" on all
   //        Win32, so you can't distinguish between Win95 and WinNT.
   var is_win95 = ((agt.indexOf("win95")!=-1) || (agt.indexOf("windows 95")!=-1));
   
   // is this a 16 bit compiled version?
   var is_win16 = ((agt.indexOf("win16")!=-1) || 
      (agt.indexOf("16bit")!=-1) || (agt.indexOf("windows 3.1")!=-1) || 
      (agt.indexOf("windows 16-bit")!=-1) );  
   
   var is_win31 = ((agt.indexOf("windows 3.1")!=-1) || (agt.indexOf("win16")!=-1) ||
      (agt.indexOf("windows 16-bit")!=-1));
   
   // NOTE: Reliable detection of Win98 may not be possible. It appears that:
   //       - On Nav 4.x and before you'll get plain "Windows" in userAgent.
   //       - On Mercury client, the 32-bit version will return "Win98", but
   //         the 16-bit version running on Win98 will still return "Win95".
   var is_win98 = ((agt.indexOf("win98")!=-1) || (agt.indexOf("windows 98")!=-1));
   var is_winME = (agt.indexOf("Win 9x")!=-1);
   var is_winnt = ((agt.indexOf("winnt")!=-1) || (agt.indexOf("windows nt")!=-1));
   var is_win32 = (is_win95 || is_winnt || is_win98 || 
      ((is_major >= 4) && (navigator.platform == "Win32")) ||
      (agt.indexOf("win32")!=-1) || (agt.indexOf("32bit")!=-1));
   
   var is_os2   = ((agt.indexOf("os/2")!=-1) || 
      (navigator.appVersion.indexOf("OS/2")!=-1) ||   
      (agt.indexOf("ibm-webexplorer")!=-1));
   
   var is_mac    = (agt.indexOf("mac")!=-1);
   var is_mac68k = (is_mac && ((agt.indexOf("68k")!=-1) || 
      (agt.indexOf("68000")!=-1)));
   var is_macppc = (is_mac && ((agt.indexOf("ppc")!=-1) || 
      (agt.indexOf("powerpc")!=-1)));
   
   var is_sun   = (agt.indexOf("sunos")!=-1);
   var is_sun4  = (agt.indexOf("sunos 4")!=-1);
   var is_sun5  = (agt.indexOf("sunos sun4u") != -1 || agt.indexOf("sunos 5")!=-1);
	//Solaris 5.8 does not return version number, only SunOS sun4u
   var is_suni86= (is_sun && (agt.indexOf("i86")!=-1));
   var is_irix  = (agt.indexOf("irix") !=-1);    // SGI
   var is_irix5 = (agt.indexOf("irix 5") !=-1);
   var is_irix6 = ((agt.indexOf("irix 6") !=-1) || (agt.indexOf("irix6") !=-1));
   var is_hpux  = (agt.indexOf("hp-ux")!=-1);
   var is_hpux9 = (is_hpux && (agt.indexOf("09.")!=-1));
   var is_hpux10= (is_hpux && (agt.indexOf("10.")!=-1));
   var is_aix   = (agt.indexOf("aix") !=-1);      // IBM
   var is_aix1  = (agt.indexOf("aix 1") !=-1);    
   var is_aix2  = (agt.indexOf("aix 2") !=-1);    
   var is_aix3  = (agt.indexOf("aix 3") !=-1);    
   var is_aix4  = (agt.indexOf("aix 4") !=-1);    
   var is_linux = (agt.indexOf("inux")!=-1);
   var is_sco   = (agt.indexOf("sco")!=-1) || (agt.indexOf("unix_sv")!=-1);
   var is_unixware = (agt.indexOf("unix_system_v")!=-1); 
   var is_mpras    = (agt.indexOf("ncr")!=-1); 
   var is_reliant  = (agt.indexOf("reliantunix")!=-1);
   var is_dec   = ((agt.indexOf("dec")!=-1) || (agt.indexOf("osf1")!=-1) || 
      (agt.indexOf("dec_alpha")!=-1) || (agt.indexOf("alphaserver")!=-1) || 
      (agt.indexOf("ultrix")!=-1) || (agt.indexOf("alphastation")!=-1)); 
   var is_sinix = (agt.indexOf("sinix")!=-1);
   var is_freebsd = (agt.indexOf("freebsd")!=-1);
   var is_bsd = (agt.indexOf("bsd")!=-1);
   var is_unix  = ((agt.indexOf("x11")!=-1) || is_sun || is_irix || is_hpux || 
      is_sco ||is_unixware || is_mpras || is_reliant || 
      is_dec || is_sinix || is_aix || is_linux || is_bsd || is_freebsd);
   
   var is_vms   = ((agt.indexOf("vax")!=-1) || (agt.indexOf("openvms")!=-1));

   var browser_supported = false;
   var platform_supported = false;
   if (is_nav4)
   {
     if (is_minor >= 4.75)
     {
        browser_supported = true;
	flag += 3;
     }
   }
   else if ( (is_nav6 || is_nav6up) && !is_nav7)
   {
     if (is_minor <= 6.2)
     {
	//adding support for Netscape 6.1, 6.2
   	browser_supported = true;
     }
   }
   else if (is_ie4 || is_ie5 || is_ie6)
   {
      if (is_major == 5) 
      {  if (is_minor <= 5) 
         {
            browser_supported = true;
         }
      }
      else
      {
         browser_supported = true;
      }
   }
   else if(is_nav7)
   {
	browser_supported = false;
   }	

   if (is_win98 || is_winME || is_winnt || is_sun5 ) 
   {	
      platform_supported = true;
   }
 
	var flag = 0;
	if(browser_supported)
		flag+=1;
	if(platform_supported)
		flag+=2;
	
	return flag; 
  }


function isBrowserSupported()
{
var browser_supported = false;
var browser_value = isSupported();

   var agt=navigator.userAgent.toLowerCase();
                        var is_major = parseInt(navigator.appVersion);
	   var is_minor = parseFloat(navigator.appVersion);
	
	//if( browser_value  == 1 || browser_value == 3)
	if( (browser_value & 1) == 1) 
		{
		browser_supported = true;
		}
			else
		{
			return false;
		};
return browser_supported;
}

function isOSSupported()
{

var platform_supported = false;
var value = isSupported();
	if ( (value & 2) == 2 )
		{
			return true;
		}
			else
		{
			return false;

		};

}


function isSupportedJavaPluginInstalled()
{
return checkJavaPlugin();
}

var browsername;
function checkJavaPlugin()
{
browsername = navigator.appName;
	var support_not_determined = 3;
	if(browsername.indexOf("Netscape")!= -1) 
	{ 
	browsername="NS";
	return doNetscape();
	}
	else
	{
		if(browsername.indexOf("Microsoft")!=-1) 
		{
		browsername="MSIE";
		//load a different JavaScript file
		return doMicrosoft();
		}
		else 
		{
		browsername="N/A";
		alert("Unknown browser: " + browsername);
		return support_not_determined;
		}
	};
}

	function RedirectToSetupReport(error_or_warn)
	{
		var old_href = window.location.href;
		 	 
		var new_href = old_href.substring(0,old_href.indexOf("homepage.htm"));
		new_href += error_or_warn;
		window.location.replace(new_href);
		 

	}	
	
	function loadCMSForNetscape(fileToLoad)
		{
	
		var old_href = window.location.href;
		var new_href = old_href.substring(0,old_href.indexOf("homepage.htm"));
		new_href += fileToLoad;
		window.location.replace(new_href);
	 			
		}

	function loadCMSForIE()
	{
	var fileToLoad = "splash_screen.htm";
	var old_href = window.location.href;
		var new_href = old_href.substring(0,old_href.indexOf("homepage.htm"));
		new_href += fileToLoad;
		window.location.replace(new_href);

	}

function getNetscapePluginVersion()
{
  var agt=navigator.userAgent.toLowerCase();
                        var is_major = parseInt(navigator.appVersion);
                        var is_nav = ((agt.indexOf('mozilla')!=-1) && (agt.indexOf('spoofer')==-1)
                        && (agt.indexOf('compatible') == -1) && (agt.indexOf('opera')==-1)
                        && (agt.indexOf('webtv')==-1) && (agt.indexOf('hotjava')==-1));
                        var is_nav4up = (is_nav && (is_major >= 4)); 
              		var is_nav4 = (is_nav && (is_major == 4));
		  
			var unknown = "";
		
          // we can check for plugin existence only when browser is 'is_ie5up' or 'is_nav4up'
                        if(is_nav4 || is_nav4up) 
	     		{
			
	              	 if(navigator.plugins) 	
				{ 
				navigator.plugins.refresh(false);
                       		}

                         if(navigator.mimeTypes) 
				{
				for (i=0; i < navigator.mimeTypes.length; i++)
					{
				if(isEnabled(i))
					{
					if(navigator.mimeTypes[ i].type.indexOf("jpi-version=1.4.1") != -1 
					  	 && 
					    navigator.mimeTypes[i].enabledPlugin)
						{
							return "1.4.1";
                       				} 
					if (navigator.mimeTypes[ i].enabledPlugin.description.indexOf("Java Plug-in 1.3") != -1 
						 && navigator.mimeTypes[ i].type.indexOf("version=1.3") != -1)
						 
						{
							return "1.3.0";
							
						}

					}			
					}

                        	}
	         	}//end of is_nav4up
			return unknown;

}

function doNetscape()
{
		 
	     	      var agt=navigator.userAgent.toLowerCase();
                        var is_major = parseInt(navigator.appVersion);
                        var is_nav = ((agt.indexOf('mozilla')!=-1) && (agt.indexOf('spoofer')==-1)
                        && (agt.indexOf('compatible') == -1) && (agt.indexOf('opera')==-1)
                        && (agt.indexOf('webtv')==-1) && (agt.indexOf('hotjava')==-1));
                        var is_nav4up = (is_nav && (is_major >= 4)); 
              		var is_nav4 = (is_nav && (is_major == 4));
	              //var pluginDetected = false;
		      var supported = 1;
		      var not_supported = 2;
		      var installed_but_jp_not_supported = 3;
		
          // we can check for plugin existence only when browser is 'is_ie5up' or 'is_nav4up'
                        if(is_nav4 || is_nav4up) 
	     		{
			
	              	 if(navigator.plugins) 	
				{ 
				navigator.plugins.refresh(false);
                       		}

                         if(navigator.mimeTypes) 
				{
				for (i=0; i < navigator.mimeTypes.length; i++)
				{
					
					if(isEnabled(i))
					{	
					if ( ( navigator.mimeTypes[i] != null && navigator.mimeTypes[i].enabledPlugin.description != null)
                      			  && ( 
					   ( (navigator.mimeTypes[i].enabledPlugin.description.indexOf("Java Plug-in 1.4.0") != -1 ||
					      navigator.mimeTypes[i].enabledPlugin.description.indexOf("Java(TM) Plug-in1.4.0") != -1 ||
					      navigator.mimeTypes[i].enabledPlugin.description.indexOf("Java(TM) Plug-in 1.4.0") != -1 
					   || navigator.mimeTypes[i].enabledPlugin.description.indexOf("Sun's Java(tm) Plug-in") != -1)										
 
					    && (navigator.mimeTypes[i].type.indexOf("jpi-version=1.4") != -1) )	
				  	|| ( (navigator.mimeTypes[i].enabledPlugin.description.indexOf("Java Plug-in 1.3.1") != -1 ||
					      navigator.mimeTypes[i].enabledPlugin.description.indexOf("Java(TM) Plug-in 1.3.1") != -1) 
						 && 
						( navigator.mimeTypes[i].type.indexOf("jpi-version=1.3.1") != -1 )   
						)
						
						) )
						{
								return supported;
						}
					}
	
                        	}

				for (i=0; i < navigator.mimeTypes.length; i++)
				{
					if(isEnabled(i))
					{
					if ( (navigator.mimeTypes[ i] != null)
                      			  && 
					( (navigator.mimeTypes[ i].enabledPlugin.description.indexOf("Java Plug-in 1.4.1") != -1 
					        && navigator.mimeTypes[ i].type.indexOf("jpi-version=1.4.1") != -1)
					 || (navigator.mimeTypes[ i].enabledPlugin.description.indexOf("Java Plug-in 1.3") != -1 
						 && navigator.mimeTypes[ i].type.indexOf("version=1.3") != -1)
					|| ( (navigator.mimeTypes[i].description.indexOf("Java") != -1) 
						&& 
						(navigator.mimeTypes[i].type.indexOf("version=1.4") != -1 ||
						 navigator.mimeTypes[i].type.indexOf("version=1.5") != -1 ||
						 navigator.mimeTypes[i].type.indexOf("version=1.6") != -1 )
						)
						)
						
						 )
						{
							//the check for version 1.4, 1.5, 1.6 is for future installations of the Java Plug-in
							//that have not been released and that we do not officially support.  We can't anticipate
							//exactly what the versions strings will look like, so I am loosening the restrictions
							//on how to detect.  This change is being made for stiletto, a project that is releasing
							//without the CMS Plug-in, so we have to check for newer versions of the Java Plug-in
							//even though CMS installed on DSBU switches will never use these Java Plug-ins. 
							return installed_but_jp_not_supported;

							
						}

					}	

				}


				}
	         	}//end of is_nav4up
	 
	return not_supported;

}//end of doNetscape()



function isEnabled(n) 
{

return navigator.mimeTypes[n].enabledPlugin;

}




//this returns the value needed to modify the html page
function getcookie(cookiename) {
 var cookiestring=""+document.cookie;
 var index1=cookiestring.indexOf(cookiename);
 if (index1==-1 || cookiename=="") return ""; 
 var index2=cookiestring.indexOf(';',index1);
 if (index2==-1) index2=cookiestring.length; 

 return unescape(cookiestring.substring(index1+cookiename.length+1,index2));
}

function cookieLifeTime()
{
var UTCstring;
Today = new Date();
nomilli=Date.parse(Today);
Today.setTime(nomilli+365*24*60*60*1000);
UTCstring = Today.toUTCString();
return UTCstring;

}


function setcookie(name)
{
		
		cookiestring=name+"="+"value"+";EXPIRES="+cookieLifeTime();
		document.cookie=cookiestring;
		if(!getcookie(name))
		{
		return false;
		}
		else
		{
		return true;
		}
		
}

function CanRedirect()
{
if(getcookie("CMS_BROWSER_OS"))//if finds cookie then does not go to setup report, else  
	{
	//if here then user does not want to be warned of any problems or warnings
	//so check if any fatal_errors. If not, then load  cms splash screen
	//	the fatal errors are Java Plugin and JavaScript.  
	//	no extra scripting required for JavaScript
	// 	but have to explicitly check for Java Plugin
	//	if JavaPlugin definitely not installed, then display error
	//	if cannot determine status, then still display warning
	}


}

function launchWarning()
{
   var liveWindow = window.open("not_supported.html",liveWindow,
      "width=500,height=300,toolbar=no,location=no,status=no,menubar=no,scrollbars=yes,resizable=yes,directories=0,status=0,copyhistory=0,maximise=no,left=50,top=50,alwaysOnTop=yes");
}

